/* Copyright 2024 BWI GmbH

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 */

.bwi_content_container {
    display: block;
    /* stylelint-disable */
    width: var(--_bwi-content_width);
    height: var(--_bwi-content_height);
    /* stylelint-enable */

    min-width: 300px;
    min-height: 100px;
}

.bwi_content_container_helper {
    display: flex;
    justify-content: center;
    align-items: center;

    height: 100%;
    width: 100%;
    background-color: var(--backgroundColor);
    border-radius: var(--cornerRadius);

    &[data-bwi_scanner_type="SUCCESS"] {
        padding-left: var(--cpd-space-4x);
        justify-content: flex-start;
    }
}

.bwi_content_icon_top,
.bwi_content_icon_left {
    display: flex;
    gap: var(--cpd-space-4x);
}

.bwi_content_icon_top {
    flex-direction: column;
    align-items: center;
    text-align: center;
}

/* .bwi_content_icon_left { */
/*     padding-top: var(--cpd-space-6x); */
/*     padding-left: var(--cpd-space-2x); */
/* } */

.bwi_content_icon_left_body {
    display: block;
}

.bwi_content_icon_container {
    width: 34px;
    height: 34px;

    &[data-bwi_scanner_type="BLOCKED"] {
        background: $bwi-content-scanner-blocked;
    }

    &[data-bwi_scanner_type="CONTENT NOT AVAILABLE"] {
        background: $bwi-content-scanner-file-error;
    }

    &[data-bwi_scanner_type="SUCCESS"][data-bwi_content_type="file"],
    &[data-bwi_scanner_type="SUCCESS"][data-bwi_content_type="image"] {
        background: $bwi-content-scanner-file;
    }

    &[data-bwi_scanner_type="SUCCESS"][data-bwi_content_type="video"] {
        background: $bwi-content-scanner-play;
    }

    &[data-bwi_scanner_type="SCANNING"] {
        background: $bwi-content-scanner-spinner;
        animation: 1s linear spin infinite;
    }

    &[data-bwi_scanner_type="SCANNER_NOT_AVAILABLE"] {
        background: $bwi-content-scanner-refresh;
    }

    &[data-bwi_scanner_type="UNKNOWN_REQ_ERR"] {
        background: $bwi-content-scanner-image-error;
    }
}

.bwi_content_label {
    font: var(--cpd-font-body-xs-regular);
    color: var(--cpd-color-gray-1000);
}

.bwi_content_label_dark {
    color: var(--cpd-color-text-primary);
}
